mia-2dsegment-fuzzyw
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dsegment-fuzzyw

#### Sysnopis:

`mia-2dsegment-fuzzyw` {-i `io`} [ `options` ...]

#### Description:

This program is a implementation of a fuzzy c-means segmentation algorithm

#### Options:

#### File I/O

-i, --in-file=(input, required); io

  image to be segmented. For supported file types see Plugin type: 2dimage/io

-c, --cls-file=(output); io

  class probability images, the image type must support multiple images and floating point values. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output); io

  B-field corrected image. For supported file types see Plugin type: 2dimage/io

-g, --gain-log-file=(output); io

  Logarithmic gain field, the image type must support floating point values. For supported file types see Plugin type: 2dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Segmentation parameters

-n, --no-of-classes=3; uint

  number of classes to segment

-C, --class-centres=

  initial class centers

-N, --neighborhood=shmean:shape=8n; factory

  neighborhood filter for B-field correction. For supported plug-ins see Plugin type: 2dimage/filter

-a, --alpha=0.7; float

  weight of neighborhood filter for B-field correction

-p, --fuzziness=2; float

  parameter describing the fuzzyness of mattar distinction

-e, --epsilon=0.01; float

  Stopping criterion for class center estimation.

#### Example:

Run a 5-class segmentation over inpt image input.v and store the class probability images in cls.v.

    mia-2dsegment-fuzzyw -i input.v -a 5 -o cls.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dsegment-ahmed | Home | mia-2dsegment-local-cmeans